Bug 116540 - Text from Writer can not be imported in Calc as Formatted Text [RTF] when the first paragraph of the document has Break (Type-Page, Position-Before, With page Style-activated)
Summary: Text from Writer can not be imported in Calc as Formatted Text [RTF] when the...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0 target:6.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2018-03-21 12:50 UTC by SIARHEI SKOBLIA
Modified: 2018-04-05 14:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Document for copying (15.64 KB, application/vnd.oasis.opendocument.text)
2018-03-25 18:43 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description SIARHEI SKOBLIA 2018-03-21 12:50:43 UTC
Description:
Text from Writer can not be imported (Paste special) in Calc as Formatted Text [RTF] when the first paragraph of the document has Break (Type-Page, Position-Before, With page Style-activated) 
If Page Style is inactive - all goes as it sould be.

Steps to Reproduce:
1.Create new Writer doc with two or more paragraphs
2.For 1-st paragraph set Text Flow: Breaks->Insert, Type->Page, Position->Before, With page style->checked(active) 
3.Select and copy all text and insert (Edit-Paste special) in Calc as Formatted Text [RTF]

Actual Results:  
Nothing pasted

Expected Results:
Text inserted


Reproducible: Always


User Profile Reset: Yes



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/64.0.3282.167 Chrome/64.0.3282.167 Safari/537.36
Comment 1 Buovjaga 2018-03-25 18:43:51 UTC
Created attachment 140877 [details]
Document for copying

Repro, but not with 5.3.0. 5.4 has a behaviour, where the text will appear in the input line, but the cell will appear empty.
I will try to bibisect in Windows.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 54c2637c1c9b526ffd9423e2d8e431474b535276
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 25th 2018
Comment 2 Buovjaga 2018-03-25 19:04:24 UTC
I bisected the behaviour that appeared in 5.4 to:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=a51b7a1c3a7e7cf7b0c733e1dec40288278c1884

commit	a51b7a1c3a7e7cf7b0c733e1dec40288278c1884 (patch)
tree	6452088195b6c0ad617e7a6b9f97ecc8672d321e
parent	5742868ccf030b2c0f03538d030bd18bd5666bdb (diff)
tdf#103831, tdf#100986: Force using GDI when needed
Our DirectWrite renderer is incomplete and can’t handle rotated text or text
with horizontal scaling, so route these two through GDI for now.

Change-Id: I87b85796a29e3acce782e01b4c629fec6f1a9e25
Reviewed-on: https://gerrit.libreoffice.org/34848

This is another one of those things where moving to HarfBuzz broke something "100 kilometers away", so I don't even want to bother Khaled :(
Comment 3 Xisco Faulí 2018-03-26 17:57:49 UTC
it seems the bisect result is different on Linux

author	Caolán McNamara <caolanm@redhat.com>	2017-11-06 12:57:57 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2017-11-06 18:33:02 +0100
commit	e4551b905e12aa92b7509d9b994bfae5dec3d8e0 (patch)
tree	f5fae8db42321ea918db50b756c7b24434afae55
parent	f037207675010fdff2c1968a67fae5b0c2c34331 (diff)
ofz infinite loop

Bisected with: bibisect-linux64-6.0

Adding Cc: to Caolán McNamara
Comment 4 Caolán McNamara 2018-03-27 11:16:37 UTC
wrt the 6-0 issue I can just revert that and try something else for master. If there's something wrong since 5-4 then its a different problem than the one I'm fixing, so I'll adjust the version accordingly that I'm just fixing the clear recent rtf specific regression
Comment 5 Commit Notification 2018-03-27 13:50:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19ca4e8a5eb40f3c776a8089a4a043e7fe4a9247

Resolves: tdf#116540 Revert "ofz infinite loop"

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Buovjaga 2018-03-27 16:04:12 UTC
It works now! No problems remain.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: f98040a273b14e8e3f4b7206d4e6c8b93dde262f
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 27th 2018
Comment 7 Xisco Faulí 2018-03-28 09:49:00 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 8329f4541e27402d19729ae1588af8bfe61f7b49
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Thank you Caolán!!
Comment 8 Commit Notification 2018-04-05 14:23:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35f5f4c1537eadab85cddde5f9fd47a7421ebf3d&h=libreoffice-6-0

Resolves: tdf#116540 Revert "ofz infinite loop"

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.